Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleReferences

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  com.ibm.able.data.AbleReferences

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

Direct Known Subclasses:
  AbleClauseReferences

public class AbleReferences
extends java.util.Vector

This class is used to keep track of a set of references from other objects to the object that contains this "references" object.

In the base Able implementation, this class is used in the AbleVariable data object and allows each variable to keep track of other objects that reference that variable. Whenever each variable updates its "raw" value, the variable calls updateReferences() to perform some special handling.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`protected` | `AbleReferences()` Create a new set of references of which to keep track.

Method Summary
`protected void` | `updateReferences()` Walk through the list of "references", and do special processing.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### AbleReferences

    protected AbleReferences()

  Create a new set of references of which to keep track.

Method Detail

### updateReferences

    protected void updateReferences()
                             throws AbleDataException

  Walk through the list of "references", and do special processing.

  Note that this default implementation does absolutely nothing.

  Throws:
    `AbleDataException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005